%define upstream_name    Config-Model-TkUI
%define upstream_version 1.323

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    GUI for conf editors based on Config::Model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Model) >= 1.235.0
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::DirSelect)
BuildRequires: perl(Tk::Tree)
BuildArch:  noarch

Requires:   perl(Config::Model)
%description
This class provides a GUI for the Config::Model manpage.

With this class, the Config::Model manpage and an actual configuration
model (like the Config::Model::Xorg manpage), you get a tool to edit
configuration files (e.g. '/etc/X11/xorg.conf').

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#xvfb-run -n 12 ./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 12 2011 jquelin <jquelin> 1.323.0-1.mga1
+ Revision: 83737
- update to 1.323

* Wed Mar 09 2011 jquelin <jquelin> 1.322.0-1.mga1
+ Revision: 66935
- update to 1.322

* Tue Feb 22 2011 jquelin <jquelin> 1.320.0-1.mga1
+ Revision: 56516
- update to 1.320

* Wed Jan 26 2011 jquelin <jquelin> 1.317.0-1.mga1
+ Revision: 41252
- mageia rebuild
- imported package perl-Config-Model-TkUI

